probe::socket.sendmsg.return
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.sendmsg.return — Return from socket.sendmsg.

## Synopsis

    socket.sendmsg.return

## Values

`success`

  Was send successful? (1 = yes, 0 = no)

`size`

  Size of message sent (in bytes) or error code if success = 0

`state`

  Socket state value

`name`

  Name of this probe

`type`

  Socket type value

`protocol`

  Protocol value

`family`

  Protocol family value

`flags`

  Socket flags value

## Context

The message sender.

## Description

Fires at the conclusion of sending a message on a socket via the `sock_sendmsg` function

Prev | Up | Next
probe::socket.sendmsg | Home | probe::socket.write_iter